from optimizer import solve_optimization
from optimizer import landmark

def main():
    
    # CONSTRAINT TO RESPECT MAX NUMBER OF STEPS
    max_steps = 16


    # Initialize all landmarks (+ start and goal). Order matters here
    landmarks = []
    landmarks.append(landmark("départ", -1, (0, 0)))
    landmarks.append(landmark("tour eiffel", 99, (0,2)))                           # PUT IN JSON
    landmarks.append(landmark("arc de triomphe", 99, (0,4)))
    landmarks.append(landmark("louvre", 99, (0,6)))
    landmarks.append(landmark("montmartre", 99, (0,10)))
    landmarks.append(landmark("concorde", 99, (0,8)))
    landmarks.append(landmark("arrivée", -1, (0, 0)))


    visiting_order = solve_optimization(landmarks, max_steps, True)



if __name__ == "__main__":
    main()